Get Site

Get a site by site id

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

site_idstringRequiredformat: "uuid"
Unique identifier for a Site

Headers

Accept-VersionstringOptional
The API version

Response

Request was successful
_idstringformat: "uuid"
Unique identifier for site
createdOnstringformat: "date-time"
Date the site was created
namestring
Name given to site
shortNamestring
Slugified version of name
lastPublishedstringformat: "date-time"
Date site was last published
previewUrlstringformat: "uri"
URL of a generated image for the given site
timezonestring
Site timezone set under Site Settings

Errors

400
Bad Request Error
401
Unauthorized Error
404
Not Found Error
429
Too Many Requests Error
500
Internal Server Error